/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CEP                                               */
/* Tabela : CEP                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 05/03/2013 - TOMS P. MOURA                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_CEP
BEFORE INSERT OR UPDATE OR DELETE
ON CEP FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('CEP', '', 'CDPAIS='||:OLD.CDPAIS||';'||'NRCEP='||:OLD.NRCEP||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE CEP MODIFY DTULTATU DEFAULT SYSDATE
/

UPDATE CEP SET DTULTATU = SYSDATE WHERE DTULTATU IS NULL
/
