/*+
|                                               |
|     Trigger: DTULTATU_OPERAPROVSUPRI          |  
|     Tabela : OPERAPROVSUPRI                   |
|                                               |
|     Criao:                                  |
|     31/03/2009 - Leonardo Bispo               |
|                                               |
+*/

create or replace TRIGGER DTULTATU_OPERAPROVSUPRI
BEFORE INSERT OR UPDATE OR DELETE
ON OPERAPROVSUPRI FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUOPAPROV := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDGERENTEAPROV,0) <>  NVL(:NEW.CDGERENTEAPROV,0)) OR
         (NVL(:OLD.CDFORNECED,0)     <>  NVL(:NEW.CDFORNECED,0)) THEN
           
              :NEW.DTULTATUOPAPROV := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('OPERAPROVSUPRI'  ,
                               '',
                               'CDGERENTEAPROV='||:OLD.CDGERENTEAPROV||';CDFORNECED='||:OLD.CDFORNECED||';',
                               SYSDATE);
   END IF;
END;
/

ALTER TABLE OPERAPROVSUPRI MODIFY DTULTATUOPAPROV DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_OPERAPROVSUPRI','5.07.015'); END;
/
