/*
 @C:\Web_635\Sql\End_Conv\Oracle\3977_PEDFUNO_Busca_Fator_Preco.SQL

 Descrio:
 Funo para retornar o fator de preco de um produto

 Parmetros
 P_CDFATPRECO  - Codigo do fator de preco
 P_CDPRODUTO   - Cdigo produto
 raise_application_error(-20501, '' , True);
*/

create or replace FUNCTION BUSCA_FATOR_PRECO(
   P_CDFATPRECO IN PRODFATOR.CDFATPRECO%TYPE,
   P_CDPRODUTO  IN PRODUTO.CDPRODUTO%TYPE) RETURN NUMBER IS

   V_VRFATPRECO   PRODFATOR.VRFATPRECO%TYPE;

BEGIN
   V_VRFATPRECO := 0;
   SELECT NVL(MAX(VRFATPRECO), 0) AS VRFATPRECO
     INTO V_VRFATPRECO
     FROM PRODFATOR
    WHERE CDFATPRECO = P_CDFATPRECO
      AND CDPRODUTO = P_CDPRODUTO;

   RETURN(V_VRFATPRECO);
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('BUSCA_FATOR_PRECO','6.35.030'); END;
/
